请问 我用conky怎么会出现这个错误?

为当前最终发行版之前的所有版本提供支持
回复
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

请问 我用conky怎么会出现这个错误?

#1

帖子 bloomh » 2008-07-19 10:22

安装、生成conky配置文件。
直接终端里运行“conky”
然后弹出来一个窗口 ,上面就有我系统的基本信息,CPU,内存,等等;
然后终端里就一直显示 Conky: MPD error: problems getting a response from "localhost" on port 6600 : Connection refused
而且弹出来的窗口,没有任何效果可言;不是像他们那样就贴在右边桌面上,我的设置都是复制别人的,我改了好几种版本但一直都还是那样子,以窗口的的形式出现而没有任何效果上的改变。

这是为什么?我设置的是/etc/conky/conky.conf 这个文件 ,没错吧?

各位大哥大姐,知道的说一下阿,本人才入门,很菜阿!
我是菜鸟 我怕谁!
头像
bocelli99
帖子: 525
注册时间: 2007-07-10 12:16
送出感谢: 0
接收感谢: 0

#2

帖子 bocelli99 » 2008-07-19 10:57

mpd没装? :shock:
conky设置还是放在~/.conkyrc吧
搜论坛conkyrc
像一条秋天的道路:还未来得及扫干净,它又为干枯的树叶所覆盖。

The Kafka Project http://www.kafka.org
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 bloomh » 2008-07-19 12:43

bocelli99 写了:mpd没装? :shock:
conky设置还是放在~/.conkyrc吧
搜论坛conkyrc
我没那个设置点
我用zcat /usr/share/doc/conky/examples/conky.conf.gz > ~/.conkyrc
生成 ,但没任何反应 ,该生成的文件也没 , 这是为什么阿 ?
我是菜鸟 我怕谁!
头像
kofshower
帖子: 1343
注册时间: 2007-03-13 11:23
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 kofshower » 2008-07-19 12:45

这个你有么/usr/share/doc/conky/examples/conky.conf.gz
还是搜索论坛,conky!
"We are all in the mud, but some of us are looking at the stars." (Oscar Wilde)
We are not born for ourselves.
人生天地间,并非为自己
Homepage:http://sites.google.com/site/polarisnotme/
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 bloomh » 2008-07-19 13:06

你们说的 "~/.conkyrc" 是不是 这个压缩文件(/usr/share/doc/conky/examples/conky.conf.gz)里面的"conky.conf"?
我点开了能看到设置,但修改不了,会出现下面这种情况.
update the file "conky,conf" in the archive "conky.conf.gz"?
The file has been modified with an external application ,if you don't update the version in the archive ,all you changes will be lsot
然后下面有两个选项 “Cancel” "Update"
点Cancel 当然就改不了了
点update还是改不了
它所说的升级是说archive这个压缩软件升级么?
那又该怎么之升级这个包(archive)?

谢谢大家阿!
我是菜鸟 我怕谁!
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 bloomh » 2008-07-19 13:09

kofshower 写了:这个你有么/usr/share/doc/conky/examples/conky.conf.gz
还是搜索论坛,conky!
有!但修改不了里面的conky.conf
说是要升级archive的版本,这里我又不知道了。
头像
kofshower
帖子: 1343
注册时间: 2007-03-13 11:23
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 kofshower » 2008-07-19 13:23

你用什么打开的?上面的意思说这个文件被你用一种编辑器打开过了,内容可能有变化
,要你确认是直接修改还是refresh。
gz类的文档用zless打开 或用 zcat 重定向到一个文本文件比较好
zcat /usr/share/doc/conky/examples/conky.conf.gz > ~/.conkyrc
我想你已经生成了,那是个隐藏文件
试一试vi ~/.conkyrc 有东西不
"We are all in the mud, but some of us are looking at the stars." (Oscar Wilde)
We are not born for ourselves.
人生天地间,并非为自己
Homepage:http://sites.google.com/site/polarisnotme/
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 bloomh » 2008-07-19 13:32

kofshower 写了:你用什么打开的?上面的意思说这个文件被你用一种编辑器打开过了,内容可能有变化
,要你确认是直接修改还是refresh。
gz类的文档用zless打开 或用 zcat 重定向到一个文本文件比较好
zcat /usr/share/doc/conky/examples/conky.conf.gz > ~/.conkyrc
我想你已经生成了,那是个隐藏文件
试一试vi ~/.conkyrc 有东西不
按你说的用 vi~/.conkyrc 有东西
这好像就是vi 编辑器哈,我感觉好像不能修改
如果要修改压缩类文件里面的文件又该怎么修改呢?
直接打开肯定是不行了,我刚才一直就是直接打开
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 bloomh » 2008-07-19 13:36

用ZLESS只能查看但不能修改
头像
kofshower
帖子: 1343
注册时间: 2007-03-13 11:23
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 kofshower » 2008-07-19 13:43

bloomh 写了:用ZLESS只能查看但不能修改

只是说这类的东西用这些
"We are all in the mud, but some of us are looking at the stars." (Oscar Wilde)
We are not born for ourselves.
人生天地间,并非为自己
Homepage:http://sites.google.com/site/polarisnotme/
bloomh
帖子: 17
注册时间: 2008-07-18 21:24
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 bloomh » 2008-07-19 13:46

哦 谢谢大家阿!我想我大概有点方向了~!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#12

帖子 BigSnake.NET » 2008-07-19 13:47

代码: 全选

zcat /usr/share/doc/conky/examples/conky.conf.gz > ~/.conkyrc 
vim ~/.conkyrc 
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
qiang_liu8183
论坛版主
帖子: 10675
注册时间: 2006-09-10 22:36
来自: 北京
送出感谢: 1 次
接收感谢: 6 次

#13

帖子 qiang_liu8183 » 2008-07-19 14:17

rc文件最好还是自己写,抄来的不见得适合你
看破、放下、自在、随缘、念佛
真诚、清净、平等、正觉、慈悲
zhaohad
帖子: 13
注册时间: 2009-03-21 17:58
送出感谢: 0
接收感谢: 0

Re: 请问 我用conky怎么会出现这个错误?

#14

帖子 zhaohad » 2009-08-03 16:35

用sudo gedit ~/.conkyrc打开配置文件,从里面该就可以了!
头像
smilelong
帖子: 9
注册时间: 2008-10-12 21:27
送出感谢: 0
接收感谢: 0

Re: 请问 我用conky怎么会出现这个错误?

#15

帖子 smilelong » 2009-08-05 20:55

今天安装conky也遇到了跟楼主同样的问题,参考下面的链接,原来老外也遇到了
http://ubuntuforums.org/showthread.php?p=4895093
似乎是用来显示音乐播放器的播放列表什么的,如果没有配置音乐播放器应该会出现这个吧,没有测试过 :em06
There is no IF ElSE in life!
回复

回到 “老旧版本支持”